<script type="text/javascript">
function check(i,j)
{
  new Effect.Highlight('c'+i+''+j,{startcolor: '<%= session[@board.id] == @board.player1 ? '#ff9999' : '#9999ff' %>'});
  new Ajax.Request('/game/check/<%= @board.id %>?x='+i+'&y='+j, {asynchronous:true, evalScripts:true})
}
</script>
<center>
<a href="#" onclick="new Effect.Highlight(last_id, {});return false">Highlight last move</a>
<%= link_to "Give up", :action => :stop, :id => @board.id %>
<%= link_to "Refresh", :action => :play, :id => @board.id %>
<% form_remote_tag(:url => (url_for :action => :message, :id => @board.id)) do %>
<input type="text" name="message" />
<% end %>
<table id="board" border="1">
<% for i in 0...@board.size -%>
  <tr>
<% for j in 0...@board.size -%>
    <td id="<%= "c#{i}#{j}" %>" class="cell <%= 'empty_cell' unless @board.member?(i,j) %>" align="center" valign="center" width="30px" height="30px" onclick="check(<%=i%>,<%=j%>)"><%= html_check(@board,i,j) %></td>
<% end -%>
  </tr>
<% end -%>
</table>
</center>
<%= meteor_strike 'board', :uid => session[:name] %>